VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::DiskTypes::BackingType Class Reference

The `Disk.BackingType` enumerated type defines the valid backing types for a virtual disk. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, VMDK_FILE }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static BackingType[] | GetValues ()
static BackingType | ValueOf (string name)
## Static Public Attributes
static readonly BackingType | VMDK_FILE = new BackingType("VMDK_FILE", Values.VMDK_FILE)
| Virtual disk is backed by a VMDK file.

## Detailed Description

The `Disk.BackingType` enumerated type defines the valid backing types for a virtual disk.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::DiskTypes::BackingType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  VMDK_FILE | Virtual disk is backed by a VMDK file.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::DiskTypes::BackingType::GetEnumValue | ( |  | ) | `[inline]`

static BackingType [] vmware::vcenter::vm::hardware::DiskTypes::BackingType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::DiskTypes::BackingType::IsUnknown | ( |  | ) | `[inline]`

static BackingType vmware::vcenter::vm::hardware::DiskTypes::BackingType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly BackingType vmware::vcenter::vm::hardware::DiskTypes::BackingType::VMDK_FILE = new BackingType("VMDK_FILE", Values.VMDK_FILE)`[static]`

Virtual disk is backed by a VMDK file.

The documentation for this class was generated from the following file:

- DiskTypes.cs